require(MASS)
require(dplyr)
require(jtools)
data<-read.csv("~//Data for Stats.csv", header=T)
#Specify the data formats and standardisation
data$Roof<-as.factor(data$Roof)
data$Height<-as.factor(data$Height)
data$Neighbour<-scale(data$Neighbour)
data$Bin<-scale(data$Bin)
data$Streetlight<-scale(data$Streetlight)
data$Harbour<-scale(data$Harbour)
data$Coastline<-scale(data$Coastline)
#Subset the data for the different hierarchical levels
data.county.sub<-select(data, Nested, Roof, Neighbour,  Bin, Streetlight, Harbour, Coastline, Greenspace)
data.how<-subset(data, data$Town_Number == 1)
data.how.sub<- select(data.how, Nested, Roof, Neighbour,  Bin, Streetlight, Harbour, Coastline, Greenspace)
data.bal<-subset(data, data$Town_Number == 2)
data.bal.sub<- select(data.bal, Nested, Roof, Neighbour,  Bin, Streetlight, Harbour, Coastline, Greenspace)
data.ske<-subset(data, data$Town_Number == 3)
data.ske.sub<- select(data.ske, Nested, Roof, Neighbour,  Bin, Streetlight, Harbour, Coastline, Greenspace)
data.bal.col1<-subset(data, data$Colony_Number == 2)
data.bal.col1.sub<- select(data.bal.col1, Nested, Roof, Bin, Streetlight, Neighbour, Harbour, Coastline, Greenspace)
data.bal.col2<-subset(data, data$Colony_Number == 3)
data.bal.col2.sub<- select(data.bal.col2, Nested, Roof, Bin, Streetlight, Neighbour, Harbour, Coastline, Greenspace)
data.bal.col3<-subset(data, data$Colony_Number == 4)
data.bal.col3.sub<- select(data.bal.col3, Nested, Roof, Bin, Streetlight, Neighbour, Harbour, Coastline, Greenspace)
data.ske.col1<-subset(data, data$Colony_Number == 5)
data.ske.col1.sub<- select(data.ske.col1, Nested, Roof, Bin, Streetlight, Neighbour, Harbour, Coastline, Greenspace)
data.ske.col2<-subset(data, data$Colony_Number == 6)
data.ske.col2.sub<- select(data.ske.col2, Nested, Roof, Bin, Streetlight, Neighbour, Harbour, Coastline, Greenspace)
data.ske.col3<-subset(data, data$Colony_Number == 7)
data.ske.col3.sub<- select(data.ske.col3, Nested, Roof, Bin, Streetlight, Neighbour, Harbour, Coastline, Greenspace)
#Specify GLMs
models.county.glm<-glm(Nested~.^2, family=binomial, data=data.county.sub)
models.how.glm<-glm(Nested~.^2, family=binomial, data=data.how.sub)
models.bal.glm<-glm(Nested~.^2, family=binomial, data=data.bal.sub)
models.ske.glm<-glm(Nested~.^2, family=binomial, data=data.ske.sub)
models.bal.col1.glm<-glm(Nested~.^2, family=binomial, data=data.bal.col1.sub)
models.bal.col2.glm<-glm(Nested~.^2, family=binomial, data=data.bal.col2.sub)
models.bal.col3.glm<-glm(Nested~.^2, family=binomial, data=data.bal.col3.sub)
models.ske.col1.glm<-glm(Nested~.^2, family=binomial, data=data.ske.col1.sub)
models.ske.col2.glm<-glm(Nested~.^2, family=binomial, data=data.ske.col2.sub)
models.ske.col3.glm<-glm(Nested~.^2, family=binomial, data=data.ske.col3.sub)
#Run stepAIC
models.county.aic<-stepAIC(models.county.glm)
models.how.aic<-stepAIC(models.how.glm)
models.bal.aic<-stepAIC(models.bal.glm)
models.ske.aic<-stepAIC(models.ske.glm)
models.bal.col1.aic<-stepAIC(models.bal.col1.glm)
models.bal.col2.aic<-stepAIC(models.bal.col2.glm)
models.bal.col3.aic<-stepAIC(models.bal.col3.glm)
models.ske.col1.aic<-stepAIC(models.ske.col1.glm)
models.ske.col2.aic<-stepAIC(models.ske.col2.glm)
models.ske.col3.aic<-stepAIC(models.ske.col3.glm)
#How to create figure 3
plot_summs(models.county.aic, models.bal.aic, models.how.aic, models.ske.aic, model.names=c("County", "Balbriggan", "Howth", "Skerries"))+xlim(-0.1,0.1)
##Information Gable = 1, Hip = 2
